Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-11-12 09:39:09 -0500
committerSzymon Brandys2013-11-12 09:42:40 -0500
commit1d601b81aaeb31ba9c28b520b31693dbfe395742 (patch)
treec563879c87b4b89614435777508456310179d1f2
parentec3d37680e890ded361048d4561f71398cd1ed32 (diff)
downloadeclipse.platform.team-1d601b81aaeb31ba9c28b520b31693dbfe395742.tar.gz
eclipse.platform.team-1d601b81aaeb31ba9c28b520b31693dbfe395742.tar.xz
eclipse.platform.team-1d601b81aaeb31ba9c28b520b31693dbfe395742.zip
Bug 420903 - EGit (3.1.0) conflicts with com.jcraft.jsch (1.5.0) if
upgrading (must use -clean) Signed-off-by: David Williams <david_williams@us.ibm.com>
-rw-r--r--bundles/org.eclipse.jsch.core/META-INF/MANIFEST.MF4
-rw-r--r--bundles/org.eclipse.jsch.core/pom.xml2
-rw-r--r--bundles/org.eclipse.jsch.ui/META-INF/MANIFEST.MF12
-rw-r--r--bundles/org.eclipse.jsch.ui/pom.xml2
-rw-r--r--bundles/org.eclipse.team.cvs.core/META-INF/MANIFEST.MF4
-rw-r--r--bundles/org.eclipse.team.cvs.core/pom.xml2
-rw-r--r--bundles/org.eclipse.team.cvs.ssh2/META-INF/MANIFEST.MF4
-rw-r--r--bundles/org.eclipse.team.cvs.ssh2/pom.xml2
8 files changed, 16 insertions, 16 deletions
diff --git a/bundles/org.eclipse.jsch.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.jsch.core/META-INF/MANIFEST.MF
index a00bcfd6f..f63a52fe9 100644
--- a/bundles/org.eclipse.jsch.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.jsch.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.jsch.core;singleton:=true
-Bundle-Version: 1.1.400.qualifier
+Bundle-Version: 1.1.500.qualifier
Bundle-Activator: org.eclipse.jsch.internal.core.JSchCorePlugin
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -10,6 +10,6 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.3.0,4.0.0)",
com.jcraft.jsch;bundle-version="[0.1.50,1.0.0)",
org.eclipse.core.net;bundle-version="[1.0.0,2.0.0)"
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.jsch.core,
+Export-Package: org.eclipse.jsch.core;uses:="org.eclipse.core.runtime,com.jcraft.jsch",
org.eclipse.jsch.internal.core;x-friends:="org.eclipse.jsch.ui"
Bundle-RequiredExecutionEnvironment: J2SE-1.4
diff --git a/bundles/org.eclipse.jsch.core/pom.xml b/bundles/org.eclipse.jsch.core/pom.xml
index aca0a7825..41e4fba48 100644
--- a/bundles/org.eclipse.jsch.core/pom.xml
+++ b/bundles/org.eclipse.jsch.core/pom.xml
@@ -19,6 +19,6 @@
</parent>
<groupId>org.eclipse.jsch</groupId>
<artifactId>org.eclipse.jsch.core</artifactId>
- <version>1.1.400-SNAPSHOT</version>
+ <version>1.1.500-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/bundles/org.eclipse.jsch.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.jsch.ui/META-INF/MANIFEST.MF
index 0fbfa55bf..2ad210124 100644
--- a/bundles/org.eclipse.jsch.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.jsch.ui/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.jsch.ui;singleton:=true
-Bundle-Version: 1.1.400.qualifier
+Bundle-Version: 1.1.500.qualifier
Bundle-Activator: org.eclipse.jsch.internal.ui.JSchUIPlugin
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.jsch.core,
- com.jcraft.jsch
+Require-Bundle: org.eclipse.ui;bundle-version="[3.5.0,4.0.0)",
+ org.eclipse.core.runtime;bundle-version="[3.3.0,4.0.0)",
+ org.eclipse.jsch.core;bundle-version="[1.0.0,2.0.0)",
+ com.jcraft.jsch;bundle-version="[0.1.50,1.0.0)"
Eclipse-LazyStart: true
Bundle-RequiredExecutionEnvironment: J2SE-1.4
Export-Package: org.eclipse.jsch.internal.ui;x-internal:=true,
org.eclipse.jsch.internal.ui.authenticator;x-internal:=true,
org.eclipse.jsch.internal.ui.preference;x-internal:=true,
- org.eclipse.jsch.ui
+ org.eclipse.jsch.ui;uses:="com.jcraft.jsch"
diff --git a/bundles/org.eclipse.jsch.ui/pom.xml b/bundles/org.eclipse.jsch.ui/pom.xml
index e644cdd7f..6889a4992 100644
--- a/bundles/org.eclipse.jsch.ui/pom.xml
+++ b/bundles/org.eclipse.jsch.ui/pom.xml
@@ -19,6 +19,6 @@
</parent>
<groupId>org.eclipse.jsch</groupId>
<artifactId>org.eclipse.jsch.ui</artifactId>
- <version>1.1.400-SNAPSHOT</version>
+ <version>1.1.500-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/bundles/org.eclipse.team.cvs.core/META-INF/MANIFEST.MF b/bundles/org.eclipse.team.cvs.core/META-INF/MANIFEST.MF
index ce69f15ab..2f2fa0b1d 100644
--- a/bundles/org.eclipse.team.cvs.core/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.team.cvs.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.cvs.core; singleton:=true
-Bundle-Version: 3.3.500.qualifier
+Bundle-Version: 3.3.600.qualifier
Bundle-Activator: org.eclipse.team.internal.ccvs.core.CVSProviderPlugin
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -20,7 +20,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
org.eclipse.core.resources;bundle-version="[3.3.0,4.0.0)",
org.eclipse.team.core;bundle-version="[3.6.0,4.0.0)",
org.eclipse.core.filesystem;bundle-version="[1.1.0,2.0.0)",
- com.jcraft.jsch;bundle-version="[0.1.27,2.0.0)",
+ com.jcraft.jsch;bundle-version="[0.1.50,1.0.0)",
org.eclipse.jsch.core;bundle-version="[1.0.0,2.0.0)",
org.eclipse.core.net;bundle-version="[1.0.0,2.0.0)",
org.eclipse.equinox.security;bundle-version="[1.0.0,2.0.0)"
diff --git a/bundles/org.eclipse.team.cvs.core/pom.xml b/bundles/org.eclipse.team.cvs.core/pom.xml
index 169722518..d0273d24e 100644
--- a/bundles/org.eclipse.team.cvs.core/pom.xml
+++ b/bundles/org.eclipse.team.cvs.core/pom.xml
@@ -19,6 +19,6 @@
</parent>
<groupId>org.eclipse.team</groupId>
<artifactId>org.eclipse.team.cvs.core</artifactId>
- <version>3.3.500-SNAPSHOT</version>
+ <version>3.3.600-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/bundles/org.eclipse.team.cvs.ssh2/META-INF/MANIFEST.MF b/bundles/org.eclipse.team.cvs.ssh2/META-INF/MANIFEST.MF
index 76a465844..8a06868ae 100644
--- a/bundles/org.eclipse.team.cvs.ssh2/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.team.cvs.ssh2/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.cvs.ssh2; singleton:=true
-Bundle-Version: 3.2.300.qualifier
+Bundle-Version: 3.2.400.qualifier
Bundle-Activator: org.eclipse.team.internal.ccvs.ssh2.CVSSSH2Plugin
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -11,7 +11,7 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
org.eclipse.team.cvs.core;bundle-version="[3.3.0,4.0.0)",
org.eclipse.team.core;bundle-version="[3.3.0,4.0.0)",
org.eclipse.team.cvs.ssh;bundle-version="[3.2.0,4.0.0)";resolution:=optional,
- com.jcraft.jsch;bundle-version="[0.1.27,2.0.0)",
+ com.jcraft.jsch;bundle-version="[0.1.50,1.0.0)",
org.eclipse.jsch.core;bundle-version="[1.1.0,2.0.0)"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.4
diff --git a/bundles/org.eclipse.team.cvs.ssh2/pom.xml b/bundles/org.eclipse.team.cvs.ssh2/pom.xml
index 97ea8c08d..78ac8e198 100644
--- a/bundles/org.eclipse.team.cvs.ssh2/pom.xml
+++ b/bundles/org.eclipse.team.cvs.ssh2/pom.xml
@@ -19,6 +19,6 @@
</parent>
<groupId>org.eclipse.team</groupId>
<artifactId>org.eclipse.team.cvs.ssh2</artifactId>
- <version>3.2.300-SNAPSHOT</version>
+ <version>3.2.400-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>

Back to the top